## daa2iso 0.1.7e

=== src/Makefile ===
EXE		= daa2iso
CFLAGS	+= -O2 -s
PREFIX	= /usr/local
BINDIR	= $(PREFIX)/bin
SRC		= $(EXE).c

all:
	$(CC) $(CFLAGS) -c LzmaDec.c
	$(CC) $(CFLAGS) -c tinflate.c
	$(CC) $(SRC) $(CFLAGS) -o $(EXE) LzmaDec.o tinflate.o

install:
	install -m 755 -d $(BINDIR)
	install -m 755 $(EXE) $(BINDIR)/$(EXE)

.PHONY:
	install

=== debian/changelog ===
daa2iso (0.1.7e-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Secure URI in Homepage
  * debhelper-compat (= 13)
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/control (routine-update)
  * d/copyright: Review
  * Hardening

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #961948)

  [ Andreas Tille ]
  * Use secure copyright file specification URI.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Feb 2026 07:49:15 +0100

daa2iso (0.1.7e-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v12.
    + Replace obsolete Priority: extra with Priority: optional.
    + Fix description-synopsis-starts-with-article (lintian).
  * debian/rules: Properly use dh sequencer. (Closes: #932526)
  * debian/source/format: Convert source package to "3.0 (quilt)"
    format.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2020 15:23:25 -0500

daa2iso (0.1.7e-1) unstable; urgency=low

  * Initial release (Closes: #463166)
  * Repackaged upstream since it came in a zipped file with no parent
    directory.
  * Remove daa2iso.exe file from upstream.
  * Added debian/daa2iso.1 (manpages).

 -- Juan Angulo Moreno <juan@apuntale.com>  Tue, 29 Dec 2009 20:17:52 -0430

=== debian/control ===
Source: daa2iso
Section: utils
Maintainer: Juan Angulo Moreno <juan@apuntale.com>
Build-Depends: debhelper-compat (= 13), zlib1g-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/daa2iso
Vcs-Git: https://salsa.debian.org/debian/daa2iso.git
Homepage: https://aluigi.altervista.org/mytoolz.htm#daa2iso

Package: daa2iso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DAA files (Direct Access Archive) to ISO converting tool
 DAA2ISO is an open source command-line tool for converting
 single and multipart DAA file images to the original ISO format.
 .
 The DAA image (Direct Access Archive) in fact is just a compressed ISO
 which can be created through the commercial program PowerISO.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean src/*.o src/*.exe src/daa2iso

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src -- PREFIX=/usr

override_dh_auto_install:
	$(MAKE) -C src PREFIX=/usr DESTDIR=$(CURDIR)/debian/daa2iso install

override_dh_missing:
	dh_missing --fail-missing
